%define module_version 0.03
%define module_name Dancer2-Plugin-Growler
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(Dancer2/Plugin.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/Common.pm) perl(Module/Build.pm) perl(Plack/Test.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Growl multiple messages of varying types to the user on their next hit.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMUEY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This allows you to specify one or more one-time messages (of varying types) to growl on the user.e's next hit (or this hit if you render a view that implements it) with out needing to pass around parameters.

It is also a nice approach because it is refresh safe. For example, in the SYNOPSIS example with the blog post, say we rendered the message at the end of the request instead: refreshing the page could cause us to post the blog article again.

It is similar to the .e'flash.e' example in the Dancer2 documentation but without the multi-user race condition and limitation of one message.

It is also AJAX-safe (don.e't call growls() in your AJAX templates and you won.e't miss any message) yet still AJAX-able (call growls() in your AJAX templates in order to include them in your response).

Also, with this approach your perl can growl exactly like you do in JavaScript with zero effort. Ease of Consistency FTW!
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Thu Apr 16 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

